Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Interface PortletConfig

public interface PortletConfig

The `PortletConfig` interface provides the portlet with its configuration. The configuration holds information about the portlet that is valid for all users (virtual instances), and is maintained by the administrator. The portlet can therefore only read the configuration. Only when the portlet is in CONFIGURE mode, it has write access to the dynamic data (the rest of the configuration is managed by the portlet container directly).

See Also:
  `Portlet`

Method Summary
`boolean` | `canBeClosed()` Returns whether the portlet can be closed or not.
`boolean` | `canBeDetached()` Returns whether the portlet can be detached or not.
`boolean` | `canBeMaximized()` Returns whether the portlet can be maximized or not.
`boolean` | `canBeMinimized()` Returns whether the portlet can be minimized or not.
`boolean` | `canBeMoved()` Returns whether the portlet can be moved or not.
`boolean` | `canBeResized()` Returns whether the portlet can be resized or not.
`PortletContext` | `getContext()` Returns the portlet context.
`DynamicData` | `getData()` Returns the dynamic data as it is held by the configuration.
`DynamicData` | `getData(String name)` Returns the dynamic data as it is held by the configuration in the shared section with the given name.
`String` | `getName()` Returns the name of the portlet.
`boolean` | `supports(Locale locale)` Returns whether the portlet supports the given locale.
`boolean` | `supports(Portlet.Mode mode, Client client)` Returns whether the portlet supports the given mode for the given client.

Method Detail

### getName

    public String getName()

  Returns the name of the portlet. The portlet container needs the portlet name for internal and administration purposes.
  Returns:
    the portlet name

### canBeDetached

    public boolean canBeDetached()

  Returns whether the portlet can be detached or not.
  Returns:
    `true` if the portlet can be detached,
    `false` otherwise

### canBeMoved

    public boolean canBeMoved()

  Returns whether the portlet can be moved or not.
  Returns:
    `true` if the portlet can be moved,
    `false` otherwise

### canBeResized

    public boolean canBeResized()

  Returns whether the portlet can be resized or not.
  Returns:
    `true` if the portlet can be resized,
    `false` otherwise

### canBeMinimized

    public boolean canBeMinimized()

  Returns whether the portlet can be minimized or not.
  Returns:
    `true` if the portlet can be minimized,
    `false` otherwise

### canBeMaximized

    public boolean canBeMaximized()

  Returns whether the portlet can be maximized or not.
  Returns:
    `true` if the portlet can be maximized,
    `false` otherwise

### canBeClosed

    public boolean canBeClosed()

  Returns whether the portlet can be closed or not.
  Returns:
    `true` if the portlet can be closed,
    `false` otherwise

### supports

    public boolean supports(Locale locale)

  Returns whether the portlet supports the given locale.
  Parameters:
    `locale` - the locale to be supported
  Returns:
    `true` if the portlet provides support,
    `false` otherwise

### supports

    public boolean supports(Portlet.Mode mode,
                            Client client)

  Returns whether the portlet supports the given mode for the given client.
  Parameters:
    `mode` - the portlet mode to be supported
    `client` - the client to be supported
  Returns:
    `true` if the portlet provides support,
    `false` otherwise

### getData

    public DynamicData getData()

  Returns the dynamic data as it is held by the configuration.
  Returns:
    the dynamic data
  See Also:
    `getData(String)`

### getData

    public DynamicData getData(String name)
                        throws AccessDeniedException

  Returns the dynamic data as it is held by the configuration in the shared section with the given name. A shared section in the configuration allows state to be shared among portlets, even if they are of different type. A portlet needs to know the name of section to gain access. In addition, advanced implementations can restrict access to portlets have been previously authorized to access a certain shared section.
  Parameters:
    `name` - the name of the shared section
  Returns:
    the (shared) dynamic data in the configuration store
  Throws:
    `AccessDeniedException` - if the calling portlet does not have the access rights for the shared section
  See Also:
    `getData()`

### getContext

    public PortletContext getContext()

  Returns the portlet context.
  Returns:
    the portlet context

Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD